Last Comment Bug 449979 - mxr development needs its own vm
: mxr development needs its own vm
Status: VERIFIED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Reed Loden [:reed] (use needinfo?)
: matthew zeier [:mrz]
Mentors:
http://mxr-test.landfill.bugzilla.org/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 16:48 PDT by timeless
Modified: 2015-03-12 08:17 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description timeless 2008-08-09 16:48:00 PDT
mxr-test was evicted from landfill i need hosting inside mozilla.org (i don't have resources outside, and the work is for mozilla).

the general setup should be like landfill, and perhaps for everyone's convenience should acquire the mxr(-test).landfill.bugzilla.org hostnames.

i will need /some/ support from IT in configuring apache, mostly apache processes should have some ram limit (probably 500mb w/ enough information for me to be able to change this). Landfill's vm is 100GB, I believe most of that space is used by mxr(-test) for all the various things it indexes, and I'd like to be able to add things, so the same "disk" size should be assigned to this box.

I'm not picky about os versions landfill is:
LSB Version:    :core-3.1-ia32:core-3.1-noarch:graphics-3.1-ia32:graphics-3.1-noarch
Description:    CentOS release 5.2 (Final)

which seems fine (i'm assuming this is a stock configuration).

the baseline tools I need are:
cvs, rsync, ssh(d), svn(w/ssl), perl.

the one odd tool i need is:
Name   : glimpse
Arch   : i386
Version: 4.18.5

offhand, i don't think i want hg, git, or bzr installed, i'll install them in ~ and would rather not have to fight with system installs of these.

if it's easier to start from an existing image of landfill than to actually copy 50gb of data around vms, the mxr data lives in landfill:~timeless/please_put_these_on_another_machine

so it would be ok to clone landfill's vm, kill all the other users and then let me have access to the box.

note: i'd like justdave+reed to have root on this box. I don't want root.

in case people are curious, the reason for the eviction was that "source" was taking >1gb of ram and oom killed the box. This is obviously something I need to investigate ASAP.

fwiw a quick scan of access logs shows that the primary customer of mxr(-test) is msnbot, so perhaps the only real user is me, in which case i might be able to setup a restrictive Accept list (if that works)....

For that reason, I'm filing this as unconfirmed.
Comment 1 Justin Fitzhugh 2008-08-09 19:17:21 PDT
This will be up to community giving to find resources for.  Also, will be a community managed machine, so you guys will have free reign to set it up as you please.

Seth - off to you to handle the CG side and decide if you want to resource it.

MRZ - does the cg vmware box even have this much capacity left?
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2008-08-09 19:30:49 PDT
It's quite possible we could give back some of the space in use by landfill in order to allow for this as well.  I think the MXR stuff was the primary reason landfill had such a big disk to begin with, and it probably won't need as much with it gone.  I'm starting to get good at filesystem resizes lately. :)
Comment 3 Max Kanat-Alexander 2008-08-10 02:58:32 PDT
(In reply to comment #2)
> It's quite possible we could give back some of the space in use by landfill in
> order to allow for this as well.  I think the MXR stuff was the primary reason
> landfill had such a big disk to begin with, and it probably won't need as much
> with it gone.  I'm starting to get good at filesystem resizes lately. :)

  Noooo! landfill only has 90GB! It needs all that space.
Comment 4 timeless 2008-08-10 03:42:40 PDT
oh, i've put most of the files back into /var/www/html/mxr(-test) i added real .htaccess controls (so 99.999% of the world won't bother it). so someone doing a clone will need to copy those dirs too :).
Comment 5 Reed Loden [:reed] (use needinfo?) 2008-08-10 06:43:40 PDT
I manage the cg-centos01.sj.mozilla.com machine right now, and if timeless doesn't require a completely separate VM for this, I'd be happy to have him move to my VM as long as community giving allocates it more hard drive space for what timeless needs. That would mean there at least wouldn't be yet another VM to manage.
Comment 6 matthew zeier [:mrz] 2008-08-10 07:36:19 PDT
Seth - cg-vmware01 (san jose) only has 100GB available.  The ESX host in Amsterdam has over 1TB of space.
Comment 7 Seth Bindernagel 2008-08-11 13:58:20 PDT
I chatted with MRZ and Justin and the request seems totally valid.  There is more than enough space on the Amsterdam box, so if it is approved, we'll put it there.  

One issue below:

(In reply to comment #0)
> note: i'd like justdave+reed to have root on this box. I don't want root.

Who owns this box and will maintain it? I won't approve without a clear owner who will be responsible for the box going forward.  Need some clear indication of who it will be from the community.
Comment 8 Reed Loden [:reed] (use needinfo?) 2008-08-11 14:02:46 PDT
(In reply to comment #7)
> (In reply to comment #0)
> > note: i'd like justdave+reed to have root on this box. I don't want root.
> 
> Who owns this box and will maintain it? I won't approve without a clear owner
> who will be responsible for the box going forward.  Need some clear indication
> of who it will be from the community.

I don't mind admining this new box. I already manage two community VMs, so a third one isn't a big deal. Got it all pretty well automated. :)
Comment 9 Seth Bindernagel 2008-08-11 14:59:44 PDT
(In reply to comment #8)
> I don't mind admining this new box. I already manage two community VMs, so a
> third one isn't a big deal. Got it all pretty well automated. :)

OK, Reed is the owner.  After chatting with Justin and MRZ, I'd like to move forward with this.  Please put the VM on the Amsterdam box.
Comment 10 matthew zeier [:mrz] 2008-08-11 17:08:15 PDT
Don't appear to have CentOS set for PXE installs, will clone build's CentOS 5.0 ref VM and stripe out build-related stuff. 
Comment 11 Reed Loden [:reed] (use needinfo?) 2008-08-11 17:11:53 PDT
(In reply to comment #10)
> Don't appear to have CentOS set for PXE installs, will clone build's CentOS 5.0
> ref VM and stripe out build-related stuff. 

That ref VM is extremely old and has a ton of random junk and configuration things in it that I really don't want to have to deal with... Can you just netinstall CentOS 5.2?
Comment 12 Reed Loden [:reed] (use needinfo?) 2008-08-11 17:16:44 PDT
https://wiki.mozilla.org/ReferencePlatforms/Linux-CentOS-5.0 says that ref image includes all of GNOME Desktop, which I definitely don't want on a server.
Comment 13 matthew zeier [:mrz] 2008-08-11 18:46:54 PDT
Are you saying it's impossible to remove stuff and impossible to upgrade?  

The clone is easier and can be done now-ish.  Netinstall will take more effort and take longer.  If there's no rush you can get 5.2.
Comment 14 Reed Loden [:reed] (use needinfo?) 2008-08-11 18:54:39 PDT
There's no immediate rush, so I'd rather have a clean 5.2 install.
Comment 15 Reed Loden [:reed] (use needinfo?) 2008-08-13 02:01:06 PDT
All set up at konigsberg.nl.mozilla.org / 63.245.212.104.

timeless: Get with me on IRC to start using the box.
Comment 16 timeless 2008-08-13 10:41:07 PDT
thanks

Note You need to log in before you can comment on or make changes to this bug.